# Yocto

...

## Get the repository

```shell
$ mkdir yocto-bf
$ cd yocto-bf
$ repo init -u "https://git.blackfinn.de/yocto/linux-blackfinn.git"
$ repo sync
```

## Set Environment

```shell
$ MACHINE=<machineconf> source blackfinn-init-build-env
```

Supported machineconfs:

* qemuarm
* beaglebone-yocto
* raspberrypi3-64
* bananapi-m3


## Build the Image
```shell
$ bitbake console-image
```

## Flash the Image
```shell
$ dd if=tmp/deploy/images/beaglebone/<image_name> of=/dev/<sd_card>
```

